#!/bin/sh
# display_off_mount_stick.sh
# (a PNP transistor inverter is between the switched lines and the PCF8574)

# turn the display off
echo "<font size=3 color=blue face=Arial>turning screen power off"
PCF8574_addr_byteout_slug 57 255

usleep 2000

echo "<BR>pulling stick from screen"
echo "<BR>plugging stick into Slug"
echo "<BR>waiting for plug-and-play"
#turn USB relay on to plug the stick into the Slug
# (display off - USB on . . . 255 - 2 = 253 . . . 0000 0010)
PCF8574_addr_byteout_slug 57 253

# wait for plug-and-play
usleep 12000



mount -t vfat /dev/sdb1 /mnt/usbdrive
#mount -t vfat /dev/sdc1 /mnt/usbdrive
echo "<BR>stick mounted on Slug at /mnt/usbdrive"

echo "<BR>deleting all previous stick files"
rm /mnt/usbdrive/*

usleep 3000

echo "<BR>adding copy of uploaded files to Slug hard disk archive"
cp /data/photo_frame_pics/* /data/archive

echo "<BR>copying uploaded files to stick"
cp /data/photo_frame_pics/* /mnt/usbdrive

echo "<BR>un-mounting the stick from the Slug"
umount /dev/sdb1
#umount /dev/sdc1

usleep 1000

#remove the stick from the Slug
# (display off - USB off . . . 255 . . . 0000 0000)
echo "<BR>unplugging stick from Slug"
PCF8574_addr_byteout_slug 57 255

#usleep 2000

#apply power to the screen
# (display off - USB off - screen power on . . . 255-1=254. .  0000 0001)
echo "<BR>applying power to the screen"
PCF8574_addr_byteout_slug 57 254

usleep 2000

# press and release the ENTER button
# (display off-USB off-screen power on . ENTER on. . 255-1-8=246. 0000 1001)
echo "<BR>screen ENTER button pressed and released"
PCF8574_addr_byteout_slug 57 246
usleep 200
# (display off-USB off-screen power on . ENTER off. . 255-1=254. 0000 0001)
PCF8574_addr_byteout_slug 57 254
echo "</font><BR><BR><HR><font size=3 color=red face=Arial>screen should now be displaying uploaded picture(s)<BR>"
