#!/bin/sh
# derived from index.cgi


#Decode query string
IFS="&"
for QUERY_PARTS in $QUERY_STRING; do
    QKEY="`echo $QUERY_PARTS | cut -d '=' -f 1`"
    QVAL="`echo $QUERY_PARTS | cut -d '=' -f 2`"
    eval "`httpd -d "$QKEY"`=\"`httpd -d "$QVAL"`\""
   # line below was commented out for OpenWrt needed for Debian
    eval "$QKEY=\"$QVAL\""
done

#--------------------------------------------------------------------
# has the variable page been given a value and does the required file exist?
if [ -e "pg-$page.sh" ]; then
    inc="./pg-$page.sh"
# if not then show the default text
else
    inc="./pg-default.sh"
    page="default"
fi


#
# Send the next part, followed by a boundary string
# Then sleep two seconds before repeating
#
 echo "Content-type: text/html"
 echo ""
 echo "<html>"
 echo "<head>"

 echo "<font size=4 color=red face=Arial>"
 echo "Picture Screen Upload and Control"
 echo "</font>"

 echo "</head>"
 echo "<body>"
 


# echo "string is " $string "<BR>"

cat screen.html

echo "<!-- Content goes here -->"
. $inc
echo "<!-- End of content -->"

# (On Debian Slug expr runs here but not on the command line or in a sh script - odd!)
#get the system date and time and present them in a new format
datestring=`date`
dateonly=`expr substr $datestring 1 10`
timeonly=`expr substr $datestring 12 8`
yearonly=`expr substr $datestring 25 4`
echo "<HR>It is " $dateonly " "$yearonly" and the time is " $timeonly
echo "<BR>- - - - Router uptime: `cat /proc/uptime | cut -d ' ' -f 1` seconds.<br>"

# now finish the html

echo "</body>"
echo "</html>"


